<!--CABECERA-->
<nav class="navbar navbar-expand-lg navbar-light bg-light">
  <a class="navbar-brand" href="#">Concesionario</a>
  <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarSupportedContent"
    aria-controls="navbarSupportedContent" aria-expanded="false" aria-label="Toggle navigation">
    <span class="navbar-toggler-icon"></span>
  </button>

  <div class="collapse navbar-collapse" id="navbarSupportedContent">
    <ul class="navbar-nav mr-auto">
      <li class="nav-item active">
        <a class="nav-link" [routerLink]="['inicio']">Inicio <span class="sr-only">(current)</span></a>
      </li>
      <li class="nav-item">
        <a class="nav-link" [routerLink]="['crear-coche']">Crear coche</a>
      </li>
    </ul>
    <ul class="navbar-nav ml-auto">   
        <li class="nav-item" *ngIf="!identity">
            <a class="nav-link" [routerLink]="['login']">Login</a>
        </li>
        <li class="nav-item" *ngIf="!identity">
            <a class="nav-link" [routerLink]="['registro']">Registro</a>
        </li>
        <li class="nav-item" *ngIf="identity && identity.name">
          <a class="nav-link" [routerLink]="['editar-perfil']">{{identity.name}}</a>
        </li>
        <li class="nav-item" *ngIf="identity && identity.name">
            <a class="nav-link" (click)="logout()" style="cursor:pointer">Salir</a>
          </li>
      <form class="form-inline my-2 my-lg-0" #searchForm="ngForm" (ngSubmit)="onSubmit()">
        <input class="form-control mr-sm-2" type="search" placeholder="Escribe tú búsqueda" aria-label="Search" name="searchString" #searchString="ngModel" [(ngModel)]="search">
        <button class="btn btn-outline-success my-2 my-sm-0" type="submit">Buscar</button>
      </form>
    </ul>
  </div>
</nav>
<!--CONTENIDO-->
<router-outlet></router-outlet>